<FONT SIZE=4>Info Broneeringu kohta :</FONT>
<BR><BR>
 


<?php

$aasta=date('Y'); 
$kuu=date('m');
$paev=date('d');
$tund=date('h');

$Hetkeaeg=$aasta*1000000+$kuu*10000+$paev*100+$tund;



$alg1_aasta=$_REQUEST[alg_Aasta];
$alg1_kuu=$_REQUEST[alg_Kuu];
$alg1_paev=$_REQUEST[alg_Paev];
$alg1_kell=$_REQUEST[alg_Kell];

$alg2_aasta=$_REQUEST[lopp_Aasta];
$alg2_kuu=$_REQUEST[lopp_Kuu];
$alg2_paev=$_REQUEST[lopp_Paev];
$alg2_kell=$_REQUEST[lopp_Kell];
//konstant= (aasta * 1 000 000) + (kuu * 10 00) + (paev * 100) + tunnid
$Algus1=$alg1_aasta*1000000+$alg1_kuu*10000+$alg1_paev*100+$alg1_kell;
$Algus2=$alg2_aasta*1000000+$alg2_kuu*10000+$alg2_paev*100+$alg2_kell;

//AASTA 2406
//KUU 1200
//PAEV 372
//KELL 17


$nimi=$_REQUEST[nimi];



//select year(BRON_algus) from BRONEERINGUD where SEADE = 'fotoaparaat CANON';



  mysql_connect("localhost","kasutajanimi","parool");
  mysql_select_db("baas");

error_reporting(E_NO);

session_start(); 

$muutuja=$_SESSION["kasutaja"];



$aasta="select year(BRON_algus) from BRONEERINGUD where SEADE = '$nimi'";
$kuu="select month(BRON_algus) from BRONEERINGUD where SEADE = '$nimi'";
$paev="select DAYOFMONTH(BRON_algus) from BRONEERINGUD where SEADE = '$nimi'";
$aeg="select hour(BRON_algus) from BRONEERINGUD where SEADE = '$nimi'";

$aasta2="select year(BRON_lopp) from BRONEERINGUD where SEADE = '$nimi'";
$kuu2="select month(BRON_lopp) from BRONEERINGUD where SEADE = '$nimi'";
$paev2="select DAYOFMONTH(BRON_lopp) from BRONEERINGUD where SEADE = '$nimi'";
$aeg2="select hour(BRON_lopp) from BRONEERINGUD where SEADE = '$nimi'";

$vastus=mysql_query($aasta);
$vastus1=mysql_query($kuu);
$vastus2=mysql_query($paev);
$vastus3=mysql_query($aeg);

$vastus1aasta=mysql_query($aasta2);
$vastus1kuu=mysql_query($kuu2);
$vastus1paev=mysql_query($paev2);
$vastus1kell=mysql_query($aeg2);

$counter=0;
//Sisendi kontroll algab
if($Algus1 > $Algus2 || $Algus1 == $Algus2 || $Algus1 < $Hetkeaeg) {

echo" Kontrolli sisendit ";

}
else{

while(($rida=mysql_fetch_array($vastus))
  &&($rida1=mysql_fetch_array($vastus1))
  &&($rida2=mysql_fetch_array($vastus2))
  &&($rida3=mysql_fetch_array($vastus3))
 
  &&($rida4=mysql_fetch_array($vastus1aasta))
  &&($rida5=mysql_fetch_array($vastus1kuu))
  &&($rida6=mysql_fetch_array($vastus1paev))
  &&($rida7=mysql_fetch_array($vastus1kell)))

{

//echo  $rida[0]; //aasta RIDA[0]
//echo $rida1[0];  //kuu RIDA1[0]
//echo $rida2[0];  //paev RIDA2[0]
//echo $rida3[0];  //kell RIDA3[0]

//echo  $rida4[0]; //lopp aasta RIDA4[0]
//echo $rida5[0];  //lopp kuu RIDA5[0]
//echo $rida6[0];  //lopp paev RIDA6[0]
//echo $rida7[0];  //lopp kell RIDA7[0]

//konstant= (aasta * 1 000 000) + (kuu * 10 00) + (paev * 100) + tunnid
$Lopp1=$rida[0]*1000000+$rida1[0]*10000+$rida2[0]*100+$rida3[0];
$Lopp2=$rida4[0]*1000000+$rida5[0]*10000+$rida6[0]*100+$rida7[0];



if 
  ((($Algus1 == $Lopp1) &&  ($Algus2 == $Lopp2))||
   (($Algus1 <= $Lopp1) &&  ($Algus2 >  $Lopp2))||
   (($Algus1 >= $Lopp1) &&  ($Algus2 <  $Lopp2))||
   (($Algus1 <  $Lopp1) &&  ($Algus2 == $Lopp2))|| 
   (($Algus1 >  $Lopp1) &&  ($Algus2 == $Lopp2))||
   (($Algus1 >  $Lopp1) &&  ($Algus1 <  $Lopp2))||
   (($Algus2 >  $Lopp2) &&  ($Algus2 <= $Lopp1)))



{
$counter=$counter+1;
  
// eksisteerimise counter tuleb siia ning kui on null siis on bronnida võimalik 
//pange panemise kaunter!!!!!


}




$Lopp1=0;
$Lopp2=0;
}

 

if($counter==0){ 
 
echo "toimub broneering, kõik tingimused täidetud!";

$lausee="INSERT INTO BRONEERINGUD (SEADE,KLASS,BRON_algus,BRON_lopp,BRONNIA) values
('$_REQUEST[nimi]','$_REQUEST[klass]','$alg1_aasta-$alg1_kuu-$alg1_paev $alg1_kell:00','$alg2_aasta-$alg2_kuu-$alg2_paev $alg2_kell:00','$muutuja')";

$lauseee="INSERT INTO ARHIIV (SEADE,KLASS,BRON_algus,BRON_lopp,BRONNIA) values
('$_REQUEST[nimi]','$_REQUEST[klass]','$alg1_aasta-$alg1_kuu-$alg1_paev $alg1_kell:00','$alg2_aasta-$alg2_kuu-$alg2_paev $alg2_kell:00','$muutuja')";

$vastuss=mysql_query($lausee);

$vastusss=mysql_query($lauseee);

}
else
{ echo "antud kuupäev on mingit moodi seotud mõne teise kuupäevaga!";}}
exit();






mysql_close();
?>
